# Ladekurve u. Entladung eines Kondensators ber einen Widerstand
# Autor: Volker Lange-Janson 20.04.1999
Uc(t)=Ub*(1-e**(-t/(R*C)))    # Ladespannungsverlauf am Kondensator
Ud(t)=Ub*(e**(-t/(R*C)))      # Entladespannungsverlauf
I(t)=(Ub/R)*(e**(-t/(R*C)))   # Stromverlauf beim Laden
R=10e+03  # Der Widerstand
C=10e-09  # Kapazitaet des Kondensators in Farad
Ub=10     # Ladespannung in Volt
e=2.7182818 # Eulersche Zahl
set dummy t
set grid
set offsets
set nolog
set nopolar
set samples 1000
set title "Ladekurve eines Kondensators: Uc(t)=Ub*(1-e**(-t/(R*C))), Entladekurve: Ud(t)=Ub*(e**(-t/(R*C)))"
set xlabel "t [sec]"
set ylabel "Uc [V] Spannung am Kondensator"
set yrange [0 : Ub ]
set xrange [0 : 7 * R * C ]
set format x "%g"
set format y "%g"
plot Uc(t), Ud(t)
pause -1 "Beenden?"
#
#
#Beschreibung - Kommentar
#
#Wenn ein Kondensator ueber einen Widerstand aufgeladen wird, fliet
#am Anfang ein sehr hoher Strom, da der ungeladene Kondensator wie ein
#Kurzschluss wirkt. Am Widerstand faellt die Speisespannung in voller
#Hoehe ab, weil zu Beginn am Kondensator noch keine Spannung anliegt.
#Mit dem Ladevorgang steigt die Spannung am Kondensator an, was zur
#Folge hat, dass am Widerstand weniger Spannung abfaellt. Dadurch wird
#mit Fortschreiten des Ladevorgangs dieser immer langsamer.
#Gegen Ende des Ladevorgangs geht der Ladestrom praktisch gegen Null
#und es liegt am Kondensator die Speisespannung in voller Hoehe an.
#
# Zeitkonstante tau = R*C (tau in Sekunden, R in Ohm und C in Farad)
#
# Nach 1 * tau ist der Kondensator auf 63 Prozent der angelegten
# Gleichspannung aufgeladen. Nach 5 * tau ist der Kondensator zu
# etwa 100 Prozent aufgeladen. Ein Kondensator wird nach 1 * tau um
# 63 Prozent auf 37 Prozent der zuvor am Kondensator vorhandenen
# Spannung entladen.


