# Widerstandskurve. Der Strom in Abhngigkeit von der Spannung
# Autor: Volker Lange-Janson, 8. September 1999
I1(U)=U/R1   # Widerstandsgerade der Kurve 1
I2(U)=U/R2   # Widerstandsgerade der Kurve 2
I3(U)=U/R3   # Widerstandsgerade der Kurve 3
R1=1e+03     # Der Widerstand R1 in Ohm. Hier knnen Sie z.B. ganz einfach andere Werte eintragen
R2=2e+03     # Der Widerstand R2 in Ohm. Hier knnen Sie z.B. ganz einfach andere Werte eintragen
R3=0.5e+03   # Der Widerstand R3 in Ohm. Hier knnen Sie z.B. ganz einfach andere Werte eintragen
set dummy U  # Hier muss U eingetragen werden, weil U in der x-Achse steht
set grid     # damit Sie ein Gitter sehen
set offsets
set nolog
set nopolar
set samples 1000  # gibt die Anzahl der Punkte, die berechnet werden an
set title "Der Strom durch einen Widerstand in Abhngigkeit von der Spannung" # Angabe des Titels
set xlabel "U [Volt] Spannung am Widerstand"  # Beschriftung fr die x-Achse
set ylabel "I [A] Strom durch den Widerstand" # Beschriftung fr die y-Achse
set yrange [0 : 10e-3 ] # Gibt den darzustellenden Bereich fr die y-Achse an.
set xrange [0 : 10 ]    # Der dargestellte Bereich fr die x-Achse
set format x "%g"
set format y "%g"
plot I1(U), I2(U), I3(U) # gibt an, welche Funktionen angezeigt werden sollen.
pause -1 "Beenden?" # Leider immer notwendig, damit das Diagramm stehen bleibt.



