# Innenwiderstand (ri.plt)
# Autor: Volker Lange-Janson, 13. Oktober 1999
Roben=0.50000  # Der obere Widerstand Roben in Ohm. Hier knnen Sie z.B. ganz einfach andere Werte eintragen
Runten=7.00000    # Der untere Widerstand Runten in Ohm. Hier knnen Sie z.B. ganz einfach andere Werte eintragen
Ubat=15.00000   # Speisespannung in Volt
# Anmerkung: Die Nullen nach dem Komma (bzw. Punkt) sind notwendig, um die Rechengenauigkeit zu erhhen
Iunten(U)=U/Runten   # I nach U fr Runten, der untere Widerstand
                     # Strom-Spannungs-Kennlinie des Lastwiderstands         
Ioben(U)=(Ubat/Roben)-(U/Roben)   # I nach U fr Roben, der obere Widerstand
                                  # Arbeitsgerade des Innenwiderstands
                                  # Ubat / Roben ist der Kurzschluss-Strom
# Der Schnittpunkt gibt den Spannungsabfall an Roben, dem oberen Widerstand an
# und den Strom, der durch beide Widerstnde fliet.
#
set dummy U  # Hier muss U, die Vernderliche, eingetragen werden, weil U in der x-Achse steht
set grid    # damit Sie ein Gitter sehen
show grid
set xtics 0,1,Ubat        # Hier die Skalenbeschriftung der x-Achse festlegen
                          # Sie fngt bei 0 an, Schrittweite 1, hrt bei Ubat auf
 set ytics 0,1,Ubat/Roben # Skala fr y-Achse, welche bis Ubat/Roben reicht.
set offsets
set nolog
set nopolar
set samples 10000  # gibt die Anzahl der Punkte, die berechnet werden an
set title "Der Innenwiderstand (ri.plt)" # Angabe des Titels
set xlabel "U [Volt] Spannung"  # Beschriftung fr die x-Achse
set ylabel "I [A] Strom" # Beschriftung fr die y-Achse
set yrange [0 : Ubat/Roben] # Gibt den darzustellenden Bereich fr die y-Achse an.
set xrange [0 : Ubat ]    # Der dargestellte Bereich fr die x-Achse
set format x "%g"
set format y "%g"
show format
plot Iunten(U), Ioben(U)  # gibt an, welche Funktionen angezeigt werden sollen.
pause -1 "Beenden?" # Leider immer notwendig, damit das Diagramm stehen bleibt.



